import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { MainAuditQuery, MainAuditVO } from './types';

export function getMainAudit(id: string | number): AxiosPromise<MainAuditVO> {
  return request({
    url: '/main/audit/' + id,
    method: 'get'
  });
}

export function listMainAudit(query: MainAuditQuery): AxiosPromise<MainAuditVO[]> {
  return request({
    url: '/main/audit/list',
    method: 'get',
    params: query
  });
}
